6 * % $ ( ) .\LPT3

* -----------------------------------------------------------------------------
*	THIS IS AN EXAMPLE OF THE FORMAT OF A TYPE 4 PLOTTER DESCRIPTOR 
*	FILE (PDF) .
*	IT WILL NOT DRIVE ANY PLOTTER BUT WILL PRODUCE A LISTING OF
*	ALL RECORD TYPES IN A DRAWING GIVING EXAMPLES OF THE NEW FEATURES
*	IN CAD4U
*
*	The first character is a number denoting the number of special
*	codes on the first line
*	If the first character is not a number then a type 1 pdf is assumed
*
*	The special codes are:
*
*	1)	comment character
*	2)	variable specifier character
*	3)	instruction terminator character
*	4)	expression start character
*	5)	expression end character
*	6)	plotter output device name
*
*	In this example PDF these codes are '*', '%', '$', '(', ')',
*	and .\LPT3
*
*	Variable start and end codes may be used to output relative
*	coordinates eg. (%xe - %xs) will give the x length of a line
*
*	Please note: the maximum number of characters that may be
*	included in the expanded expression is 200
*
*
*
*	Options for "Plotter output device name":
*
*	0			not in use
*	.\LPT3			assigned device-port (this example requires a
*				networked device to be assigned to a port and
*				it works on NT and Novell networks).
*	\\STATION1\HP_LJ4	full name of the device (this example works on
*				NT-networks only!)
*	\\.\LPT2		installed hardware device on the workstation
*
*	Please open the "Choose Comms"-dialog in the plot window and make
*	the option "Use port from PLT file" active to use the device selected
*	in the PLT file.
*
*
*
*	NB - ANY CHARACTER EXCEPT FOR THE SPECIAL CODES CAN BE 
*	REPRESENTED BY:
*	<variable-specifier><ascii code in hex of char>		eg. %0D
*	This is used in some PDFs to indicate non printable characters .
*	A zero character can be produced by using %00
* -----------------------------------------------------------------------------

*	Name of plotter
HEWLETT PACKARD 7580

* -----------------------------------------------------------------------------
*			Paper sizes
* -----------------------------------------------------------------------------

*	No of paper sizes - maximum 14
8

* -----------------------------------------------------------------------------
*			Details of 1st size
* -----------------------------------------------------------------------------

*Name of 1st size
METRIC A1
*Code for size
1

*	The possible values of the 'Code for size' parameter are -
*
*	0 -> 5  for paper sizes A0 -> A5
*	6 -> 10  "    "	   "    A  -> E
*      11 -> 13  "    "	   "    Arch C -> Arch E



*	X & Y offsets (in plotter units) of the bottom-left corner of the 
*	plotter image (ie. the rectangle defining the plottable area) from
*	bottom-left of the relevant plotter paper .
*	These values should normally be positive, if they are negative the
*	plotter image is centered relative to the system paper .
*	If the offsets are positive, the plotter image is positioned onto
*	the system paper accordingly .

-999 -999

*Range of plotting co_ordinates - bottom left (x,y)  -> top right (x,y)
-15740 -11280
15740 11280

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	The next 2 parameters are not used at present, but must nevertheless
*	appear as shown .
* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction
%none$

* -----------------------------------------------------------------------------
* Type 2 PDF's may have linetype information for each paper size
* If you want to use the same linetype for all paper sizes then put a
* zero on the line below each close down instruction and fill in the 
* linetype information below the select pen instruction as for pdf type 1
* -----------------------------------------------------------------------------

*Number of linetypes (type 2 PDF only)
0

* -----------------------------------------------------------------------------
*	The line types defined below are selected to match as close as possible
*	the 8 line types used by the system .
*	If you wish to alter the definitions please refer to the plotter
*	manual .
*
*       (For HPGL plotters, the 2 parameters to the LT instruction refer to
*	pattern number and pattern length, the latter is expressed as a
*	percentage of the distance between the scaling points P1 and P2 .)
* ------------------------------------------------------------------------------

*Line type instructions (type 2 PDF only)

* -----------------------------------------------------------------------------
*			Details of 2nd size
* -----------------------------------------------------------------------------

*Name of 2nd size
METRIC A2

*Code for size
2

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left hand, top right coords
-10800 -7800
10800 7800

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction
%none$

*Number of linetypes (type 2 PDF only)
8

*Line type instructions (type 2 PDF only)
LT12nd;$
LT22nd;$
LT32nd;$
LT42nd;$
LT52nd;$
LT62nd;$
LT72nd;$
LT82nd;$

* -----------------------------------------------------------------------------
*			Details of 3rd size
* -----------------------------------------------------------------------------

*Name of 3rd size
METRIC A3

*Code for size
3

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-7320 -5340
7320 5340

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction - home paper, return pen to carousel
%none$

*Number of linetypes (type 2 PDF only)
0

* -----------------------------------------------------------------------------
*			Details of 4th size
* -----------------------------------------------------------------------------

*Name of 4th size
METRIC A4

*Code for size
4

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-5340 -3120
5340 3120

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, rotate coords 90 degs.
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction - home paper, return pen to carousel
%none$

*Number of linetypes (type 2 PDF only)
8

*Line type instructions (type 2 PDF only)
LT14th;$
LT24th;$
LT34th;$
LT44th;$
LT54th;$
LT64th;$
LT74th;$
LT84th;$

* -----------------------------------------------------------------------------
*			Details of 5th size
* -----------------------------------------------------------------------------

*Name of 5th size
USA 'D'

*Code for size
9

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-16200 -10580
16200 10580

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction - home paper, return pen to carousel
%none$

*Number of linetypes (type 2 PDF only)
0

* -----------------------------------------------------------------------------
*			Details of 6th size
* -----------------------------------------------------------------------------

*Name of 6th size
USA 'C'

*Code for size
8

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-10050 -8040
10050 8040

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction - home paper, return pen to carousel
%none$

*Number of linetypes (type 2 PDF only)
8

*Line type instructions (type 2 PDF only)
LT16th;$
LT26th;$
LT36th;$
LT46th;$
LT56th;$
LT66th;$
LT76th;$
LT86th;$

* -----------------------------------------------------------------------------
*			Details of 7th size
* -----------------------------------------------------------------------------

*Name of 7th size
USA 'B'

*Code for size
7

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-7560 -5000
7560 5000

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction - home paper, return pen to carousel
%none$

*Number of linetypes (type 2 PDF only)
0

* -----------------------------------------------------------------------------
*			Details of 8th size
* -----------------------------------------------------------------------------

*Name of 8th size
USA 'A'

*Code for size
6

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-5000 -3240
5000 3240

*Plotter units / mm(<space>bound ratio)
*Bound ratio should only be defined if bounding box information is required
*(see below)
40 1.0

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, rotate coords 90 degs
path %lp, id %un [%id], page %mi, pos %mp%0D%0A$

*Close down instruction - home paper, return pen to carousel
%none$

*Number of linetypes (type 2 PDF only)
8

*Line type instructions (type 2 PDF only)
LT18th;$
LT28th;$
LT38th;$
LT48th;$
LT58th;$
LT68th;$
LT78th;$
LT88th;$

* =============================================================================
*	PLOTTING COMMANDS - THE 12 COMMANDS APPEAR IN THE ORDER SHOWN
*	THE VARIABLE PARTS REPRESENT THE FOLLOWING -
*
* 		xs	 x start co_ordinate of line/arc
*		ys	 y start co_ordinate of line/arc
*		xe     	 x end co_ordinate of line/arc 
*		ye	 y end co_ordinate of line/arc
*		xc	 x centre co_ordinate of circle/arc
*		yc	 y centre co_ordinate of circle/arc				    
*		rd	 radius of circle/arc
*		ca	 chord angle (in degrees) used for arc plotting
*		ra	 semi major axis of ellipse
*		rb	 semi minor axis of ellipse
*		a1	 start angle of arc to horizontal
*		a2	 end angle of arc to horizontal
*		as	 angle subtended by arc at centre
*		pn	 pen number
*		ps	 pen speed
*		pp	 pen pressure
*
*		tv 	 Number of vectors - this number is initialized to
*			 zero and incremented by one before each line, arc
*			 or circle is plotted.  This number is also 
*			 incremented for each text vector so output text 
*			 as labels if you want to ignore the text.
*		zu 	 Distance in plotter units - this is the length
*			 of the line, arc or circle that is being plotted.
*			 Distances also apply to text that is being output
*			 as vectors.
* 		zm 	 Distance in mm 		     
* 		zi 	 Distance in inches 		     
* 		rm 	 Distance on drawing in mm (i.e scaled) 
* 		ri 	 Distance on drawing in inches 
* 		ls 	 output text as labels instead of breaking it down
*			 into vectors
*
*	THESE BELOW ARE USEFUL IN START UP COMMAND (see Post.plt)
* 		cr 	 Creator id - the string "ROBOCAD.<n> : Version <v>"
*			 where <n> is 4, 20 or 21 and <v> is the version 
*			 number as displayed on the title page.
* 		ti 	 Title - if plotting to disk this is the filename
*			 of the plot file without a preceeding path or
*			 an extension.  If plotting straight to the plotter
*			 this is "stdout".
* 		da 	 Date and time - date and time of the plot in the
*			 format " <date> <hh>:<mm> " where <date> is
*			 in a format according to country code (dd/mm/yyyy
*			 for english), <hh> is the hour and <mm> is the
*			 minute.
* 		lx 	 Lower left x of bounding box in plotter units 
*			 * bound ratio
* 		ly  	 Lower left y of bounding box in plotter units
*			 * bound ratio
* 		ux 	 Upper right x of bounding box in plotter units
*			 * bound ratio
* 		uy 	 Upper right y of bounding box in plotter units
*			 * bound ratio
*			 Nb. The bounding box is the extent of the data that
*			 was plotted ie. a box around extremities of the 
*			 data that was plotted.
*			 Bound ratio is an optional second parameter to
*			 the units per mm for each paper size (see above).
*			 If the bound ratio is not defined then these values
*			 will not be calculated.
*		lp	 current library path
*		id	 number of networked user
*		un	 name of networked user
* 
*	AND SOME MORE
*
*		mi	 index page that the current insert was loaded from.
*			 This is initialized to the index page that the
*			 drawing was loaded from
*		mp	 index page position that the current insert was 
*			 loaded from. This is initialized to the index page 
*			 position that the drawing was loaded from
*
*		cc	 running total of the number of inserts - initialized
*			 to zero
*		cx	 x position of the latest insert  - initialized to
*			 zero 
*		cy	 y position of the latest insert - initialized to 
*			 zero
*
*		dc	 running total of the number of findable points -
*			 initialized to zero
*		dx	 x position of the latest findable point - 
*			 initialized to zero
*		dy	 y position of the latest findable point _
*			 initialized to zero
*
*		ln	 layer number of current record
*		lc	 layer colour of current record
*		ll	 layer linestyle of current record
*
*		tc	 running total of number of text records - initialized
*			 to zero
*		tx	 x position of latest text record - initialized to 
*			 zero
*		ty	 y position of latest text record - initialized to
*			 zero
*		tr	 rotation of latest text record clockwise from west
*			 in degrees
*		th	 height of latest text record in mm
*		fn	 font number of latest text record
*
*	THE STRING %0D%0A will give a carriage return linefeed sequence.
*
*
*
*	IF A COMMAND IS NOT PROVIDED THIS IS INDICATED BY
*	<variable-specifier>none<instruction-terminator>   	eg . %none$
* =============================================================================

*Number of commands (type 2 PDF only)

15

*Line from current point
line lay %ln, col %lc, style %ll, weight %lw%0D%0A$

*Line between 2 points
line2 lay %ln, col %lc, style %ll, weight %lw%0D%0A$

*Circle
circle%0D%0A$

*CW circular arc from current point
cwarc%0D%0A$

*A/CW circular arc from current point
acwarc%0D%0A$

*CW circular arc between 2 points
cwarc2%0D%0A$

*A/CW circular arc between 2 points
acwarc2%0D%0A$

*Ellipse 
%none$

*CW elliptical arc from current point
%none$

*A/CW elliptical arc from current point
%none$

*CW elliptical arc between 2 points
%none$

*A/CW elliptical arc between 2 points
%none$

*Text label (this one was an option under text height in PDF type 1)
*%ls$ will produce text as labels INSTEAD of vectors
*E.G:-
*%lsHELLO%0D%0A will give ouput of labels with the addition of HELLO <cr>
text #%tc @%tx, %ty %ls font %fn, height %th, rotation %tr%0D%0A$

*Findable point
point #%dc @%dx, %dy%0D%0A$

*Copy record
insert #%cc @%cx, %cy, source %mi,%mp%0D%0A$

* -----------------------------------------------------------------------------
*			Pen parameters
* -----------------------------------------------------------------------------

*No. of pens - maximum 16
8

*Number of 1st pen , 0 or 1
1

*Select pen instruction
SP %pn;$

*No. of linetypes - for type 2 here you can use 0 if linetypes are defined
*in each paper size 
8

LT1def;$
LT2def;$
LT3def;$
LT4def;$
LT5def;$
LT6def;$
LT7def;$
LT8def;$

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*Select pen speed instruction
Pen speed$

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	If the pen speed instruction is not provided by a plotter (ie %none$)
*	then the next 3 parameters do not appear in the PDF .
* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*No. of different pen speeds - maximum 16
10

*Position of default speed in table
10

*Table of actual pen speeds
1 3 7 14 22 30 38 46 54 60

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*Select pen pressure instruction
Pen pressure$

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	If the pen pressure instruction is not provided by a plotter (ie %none$)
*	then the next 3 parameters do not appear in the PDF .
* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*No. of pen pressures - maximum 16
8

*Position of default pressure in table
2

*Table of actual pen pressures
1 2 3 4 5 6 7 8

* -----------------------------------------------------------------------------
*	PARAMETERS DEFINING THE PLOTTING OF ARCS
* -----------------------------------------------------------------------------

*The arc chord angle in degrees. This is the angle subtended at the centre by
*the straight line segment used to plot circular arcs, it therefore indicates
*the 'smoothness' for the plotting of circular and elliptical arcs .
5.0


*Minimum step length (in mm)  to be used for arcs .
*This will override the 'arc chord angle' parameter if necessary .
1.0

*Minimum number of steps to plot any arc .
3

*Maximum step length (in mm) to be used for arcs .
*This will override the 'arc chord angle' parameter if necessary .
5.0

*Text height (in mm) below which text is plotted with lines only
*Any text that is less than one tenth of this height will be greeked
*ie. each line of text will appear as a single line.
3.0
