* % $
******************************************************************
*            PLOTTER DESCRIPTOR FILE FOR HITACHI 675             *
*ver ST1.0a                                              01/06/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
HITACHI 675

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
8

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A1
*Code for size
1

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-16120 -11480
16120 11480

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return paper to loading position, return pen to
*								     carousel
PU -15740,-11280;SP0; $


******************************************************************
*Details of 2nd size
****************************************************************

*Name of 2nd size
METRIC A2

*Code for size
2

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left hand, top right coords
-11180 -8000
11180 8000

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return paper to loading position, return pen to
*								     carousel
PU -10800,-7800;SP0; $


******************************************************************
*Details of 3rd size
****************************************************************

*Name of 3rd size
METRIC A3

*Code for size
3

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-7700 -5540
7700 5540

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -7320,-5340;SP0; $


******************************************************************
*Details of 4th size
****************************************************************

*Name of 4th size
METRIC A4

*Code for size
4

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-5540 -3500
5540 3500

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, rotate coords 90 degs.
IN;RO90;$

*Close down instruction - home paper, return pen to carousel
PU -5340,-3120;SP0; $

******************************************************************
*Details of 5th size
****************************************************************

*Name of 5th size
USA 'D'

*Code for size
9

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-16580 -10780
16580 10780

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -16200,-10580;SP0; $


******************************************************************
*Details of 6th size
****************************************************************

*Name of 6th size
USA 'C'

*Code for size
8

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-10480 -8240
10480 8240

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -10050,-8040;SP0; $


******************************************************************
*Details of 7th size
****************************************************************

*Name of 7th size
USA 'B'

*Code for size
7

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-7940 -5180
7940 5180

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -7560,-5000;SP0; $


******************************************************************
*Details of 8th size
****************************************************************

*Name of 8th size
USA 'A'

*Code for size
6

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-5180 -3620
5180 3620

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, rotate coords 90 degs
IN;RO 90;$

*Close down instruction - home paper, return pen to carousel
PU -5000,-3240;SP0; $

*****************************************************************
*Plotting commands
*****************************************************************

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
PU %xc,%yc;CI %rd,%ca;$

*CW arc from current point
%none$

*A/CW arc from current point
%none$

*CW arc between 2 points
%none$

*A/CW arc between 2 points
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

*****************************************************************
*Pen parameters
*****************************************************************

*No. of pens
8

*No. of 1st pen
1

*Select pen instruction
SP %pn;$


*No. of linetypes
8

*Line type instructions
LT;$
LT 1,0.2;$
LT 1,0.8;$
LT 2,0.8;$
LT 3,0.8;$
LT 2,1.6;$
LT 4,2.4;$
LT 5,2.4;$


*---------------------------------------------------------------
*Select pen speed instruction
VS %ps;$

*No. of different pen speeds
10

*Position of default speed in table
10

*Table of actual pen speeds
1 3 7 14 22 30 35 40 45 50

*-----------------------------------------------------------

*Select pen presure instruction
FS %pp;$

*No. of pen pressures
8

*Position of default pressure in table
1

*Table of actual pen pressures
1 2 3 4 5 6 7 8

*Arc chord angle in degrees
5.0

*Minimum step length(mm)
1.0

*Minimum no. of steps
3

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
2.0
