* % $
*****************************************************************
*              PLOTTER DESCRIPTOR FILE FOR HP7580               *
*Ver ST1.0b                                             12/09/86*
*****************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
HEWLETT PACKARD 7580

*****************************************************************
*Paper sizes*
*****************************************************************

*No of paper sizes
8

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A1
*Code for size
1

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-15740 -11280
15740 11280

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return paper to loading position, return pen to
*     carousel
PU -15740,-11280;SP0; $


******************************************************************
*Details of 2nd size
****************************************************************

*Name of 2nd size
METRIC A2

*Code for size
2

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left hand, top right coords
-10800 -7800
10800 7800

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return paper to loading position, return pen to
*     carousel
PU -10800,-7800;SP0; $


******************************************************************
*Details of 3rd size
****************************************************************

*Name of 3rd size
METRIC A3

*Code for size
3

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-7320 -5340
7320 5340

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -7320,-5340;SP0; $


******************************************************************
*Details of 4th size
****************************************************************

*Name of 4th size
METRIC A4

*Code for size
4

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-5340 -3120
5340 3120

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, rotate coords 90 degs.
IN;RO90;$

*Close down instruction - home paper, return pen to carousel
PU -5340,-3120;SP0; $

******************************************************************
*Details of 5th size
****************************************************************

*Name of 5th size
USA 'D'

*Code for size
9

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-16200 -10580
16200 10580

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -16200,-10580;SP0; $


******************************************************************
*Details of 6th size
****************************************************************

*Name of 6th size
USA 'C'

*Code for size
8

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-10050 -8040
10050 8040

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -10050,-8040;SP0; $


******************************************************************
*Details of 7th size
****************************************************************

*Name of 7th size
USA 'B'

*Code for size
7

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-7560 -5000
7560 5000

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -7560,-5000;SP0; $


******************************************************************
*Details of 8th size
****************************************************************

*Name of 8th size
USA 'A'

*Code for size
6

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
-5000 -3240
5000 3240

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter, rotate coords 90 degs
IN;RO 90;$

*Close down instruction - home paper, return pen to carousel
PU -5000,-3240;SP0; $

*****************************************************************
*Plotting commands
*****************************************************************

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
PU %xc,%yc;CI %rd,%ca;$

*CW arc from current point
PD;AA %xc,%yc,-%as,%ca;$

*A/CW arc from current point
PD;AA %xc,%yc,%as,%ca;$

*CW arc between 2 points
PU %xs,%ys;PD;AA %xc,%yc,-%as,%ca;$

*A/CW arc between 2 points
PU %xs,%ys;PD;AA %xc,%yc,%as,%ca;$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

*****************************************************************
*Pen parameters
*****************************************************************

*No. of pens
8

*No. of 1st pen
1

*Select pen instruction
SP %pn;$


*No. of linetypes
8

*Line type instructions
LT;$
LT 1,0.2;$
LT 1,0.8;$
LT 2,0.8;$
LT 3,0.8;$
LT 2,1.6;$
LT 4,2.4;$
LT 5,2.4;$


*----------------------------------------------------------------------
*Select pen speed instruction
VS %ps;$

*No. of different pen speeds
10

*Position of default speed in table
10

*Table of actual pen speeds
1 2 5 10 15 20 25 35 50 60

*----------------------------------------------------------------------

*Select pen presure instruction
FS %pp;$

*No. of pen pressures
8

*Position of default pressure in table
2

*Table of actual pen pressures
1 2 3 4 5 6 7 8

*Arc chord angle in degrees
3.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
3.0

*Text height (in mm) below which text is plotted with lines only
2.0
